Subject: Re: bug#62698: bind:utils

From: Brian Cully <[email-masked]>
Date: Sat, 08 Apr 2023 11:12:54 -0400

Αντώνιος Τσώλης <[email-masked]> writes:

> Well, I use this:
>
>   (packages
>      (append 
>        (map specification->package+output
>           '("bind:utils" ... ))
>      %base-packages))
>
> But I am new to scheme/guile/guix, so maybe I do something 
> wrong. Anyway, thanks for confirming that it works on your
> side. It's probably an issue with my configuration. :)

I suspected this was the problem. You really do need to use:

(map (compose list specification->package+output)
     '("bind:utils"))

Because ‘specification->package+output’ returns two values, and 
you'll need to combine those into a list for the second value (the 
‘utils’ output) to be seen.
 
-bjc